@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.album.index')}}">Album</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.photo.index',$album->id)}}">Photos list for {{$album->title}}</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>Add Photos</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
        <div class="card mb-4">
            <div class="card-header"><strong>Edit Album</strong><span class="small ms-1">Edit album</span>
            </div>
            <div class="card-body">
                <div class="tab-content rounded-bottom">
                    <form action="{{ route('admin.photo.update',['photo' => $data->id, 'id' =>$album->id]) }}" method="post" enctype="multipart/form-data">
                        @csrf
                        @method('PUT')
                        <div class="p-3 preview">
                            <div class="mb-3">
                                @if(@$errors->isNotEmpty())
                                @dd($errors)
                                @endif
                                <label class="form-label" for="title">Album</label>
                                @error('album_id')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                @enderror
                                <select class="form-control" id="title" type="text" name="album_id" placeholder="" requried="" readonly="">
                                    @foreach($albums as $k=>$v)
                                        @if($album->id == $v->id)
                                        <option value='{{$v->id}}' selected="">{{$v->title}}</option>
                                        @endif
                                    @endforeach
                                </select>
                            </div>
                            <div class="mb-3">
                                <label class="form-label" for="image">Image<span style="color:red;">*</span></label>
                                @error('image')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                @enderror
                                <input class="dropify" id="file-upload" type="file" name="image" accept="image/*" @if(@$data->image) data-default-file="{{Storage::url($data->image)}}" @endif/>
                                @if(@$data->image)
                                <input name="old_image" type="hidden" value="{{$data->image}}">
                                @endif
                            </div>

                            <div class="mb-3">
                                <label class="form-label" for="sort_order">Sort Order</label>
                                @error('sort_order')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                @enderror
                                <input class="form-control" id="sort_order" type="number" name="sort_order" value="{{@$data->sort_order}}" placeholder="Sorting Order">
                            </div>
                            <div class="form-check mb-3">
                                <label class="form-check-label" for="is_cover">
                                    Cover Image <span style="color:green;">If checked the image will be cover image.</span>
                                </label>
                                <input class="form-check-input" name="is_cover" type="checkbox" @if(@$data->is_cover) checked="" @endif value="1" id="is_cover">
                            </div>
                            <div class="form-check mb-3">
                                <label class="form-check-label" for="active">
                                    Publish <span style="color:green;">If checked the banner will be published.</span>
                                </label>
                                <input class="form-check-input" name="active" type="checkbox" @if(@$data->active) checked="" @endif value="1" id="active">
                            </div>   
                            <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Update</strong></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')

@endsection
