@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>General Settings</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>@if($action=="Edit")Edit @else Add @endif Setting</strong><span class="small ms-1">General Setting</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            @if($action=="Edit")
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.general-setting.update',$data->id) }}" method="post" enctype="multipart/form-data">
                                @method('PUT')
                            @else
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.general-setting.store') }}" method="post" enctype="multipart/form-data">
                            @endif
                            @csrf
                                <div class="p-3 preview">
                                    <div class="mb-3">
                                        <label class="form-label" for="college_name">College Name <span style="color:red;">*</span></label>
                                        @error('college_name')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="college_name" type="text" name="college_name" value="{{@$data->college_name}}" placeholder="College Name" required="">
                                    </div>
                                    <div class="row">
                                        <div class="col-8">
                                            <div class="mb-3">
                                                <label class="form-label" for="address">Address <span style="color:red;">*</span></label>
                                                @error('address')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="address" type="text" name="address" value="{{@$data->address}}" placeholder="Address" required="">
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="address">Phone No <span style="color:red;">*</span></label>
                                                @error('phone_no')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="phone_no" type="text" name="phone_no" value="{{@$data->phone_no}}" placeholder="Phone Number" required=""> 
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <input class="dropify" id="file-upload" type="file" name="logo" accept="image/*" @if(@$data->logo) data-default-file="{{Storage::url($data->logo)}}" @endif/>
                                            @if(@$data->logo)
                                            <input name="old_logo" type="hidden" value="{{$data->logo}}">
                                            @endif
                                        </div>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="contact_email">Email <span style="color:red;">*</span></label>
                                        @error('contact_email')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="contact_email" type="text" name="contact_email" value="{{@$data->contact_email}}" placeholder="Email" required="">
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="map_link">Google map link <span style="color:red;">*</span></label>
                                        @error('map_link')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <textarea class="form-control" name="map_link" id="map_link" rows="3" required="">{{@$data->map_link}}</textarea>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="fb_link">FB Link</label>
                                        @error('fb_link')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="fb_link" type="text" name="fb_link" value="{{@$data->fb_link}}" placeholder="Facebook link">
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="instagram_link">Instagram Link</label>
                                        @error('instagram_link')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="instagram_link" type="text" name="instagram_link" value="{{@$data->instagram_link}}" placeholder="Instagram Link">
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="yt_link">Youtube Link</label>
                                        @error('yt_link')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="yt_link" type="text" name="yt_link" value="{{@$data->yt_link}}" placeholder="Youtube link">
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="timing">Timing</label>
                                        @error('timing')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="timing" type="text" name="timing" value="{{@$data->timing}}" placeholder="Timing">
                                    </div>
                                   
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
@endsection
