@extends('frontend.layouts.master')

@section('content')
<div class="banner gmcs-banner ">
    <section class="banner-sec">
        <img src="{{asset('frontend/images/hero1.jpg')}}" class="img-fluid" alt="">
        <div class="container">
            <nav aria-label="breadcrumb" class="page-menu">
                <h2>Contact</h2>
                <ul class="breadcrumb">
                    <li><a href="{{'frontend.home'}}">Home</a></li>
                    <li>Contact</li>
                </ul>
            </nav>
        </div>
    </section>
</div>

<div class="contact gmcs-contact">
    <div class="container">
        <section class="contact-sec">
            <div class="section-intro text-center">
                <div class="section-title">
                    <h3 class="small-title">Contact Us</h3>
                    <h2>Connect with Us</h2>
                </div>
            </div>
            <div class="entry-content">
                <div class="row">
                    <div class="col-lg-4">
                        <div class="contact-card">
                            <div class="c-icon">
                                <i class="fas fa-map-marker-alt"></i>
                            </div>
                            <h3>Address</h3>
                            <p>
                                {{@$setting->address}}
                            </p>
                        </div>
                    </div>
                    <div class="col-lg-4 ">
                        <div class="contact-card">
                            <div class="c-icon">
                                <i class="fas fa-envelope"></i>
                            </div>
                            <h3>Contact Detail</h3>
                            <p>
                                <a href="mailto:{{@$setting->contact_email}}">{{@$setting->contact_email}}</a>
                                <br>
                                <a href="tel: {{@$setting->phone_no}}">
                                    {{@$setting->phone_no}} </a>
                            </p>
                        </div>
                    </div>
                    <div class="col-lg-4 ">
                        <div class="contact-card">
                            <div class="c-icon">
                                <i class="fas fa-map-marker-alt"></i>
                            </div>
                            <h3>Timing</h3>
                            <p>
                                Sunday-Friday{{--, 8.00 am – 6.00 pm <br> Weekend Closed</a>--}}
                            </p>
                        </div>
                    </div>
                </div>
            </div>
    </div>
    </section>
</div>
<div class="contact-img">
    <div class="container">
        <img src="{{asset('frontend/images/building.jpg')}}" class="img-fluid" alt="">
    </div>
</div>
<div class="contact-form">
    <div class="container">
        <section class="cf-sec">


            <div class="entry-content form-content">
                <div class="section-intro">
                    <div class="section-title">
                        <h2>Contact Form</h2>
                    </div>
                </div>
                <form>
                    <div class="form-group">
                        <input type="text" placeholder="Full Name">
                    </div>
                    <div class="form-group">
                        <input type="email" placeholder="Email Address">
                    </div>
                    <div class="form-group">
                        <input type="text" placeholder="Subject">
                    </div>
                    <div class="form-group">
                        <textarea placeholder="Message"></textarea>
                    </div>
                    <button>Submit</button>
                </form>
            </div>
        </section>
    </div>
</div>
<div class="map gmcs-map position-relative ">
    <div class="map-img">
        <iframe
            src="{{@$setting->map_link??'https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d56516.27776845179!2d85.28493294943873!3d27.709030241905573!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x39eb198a307baabf%3A0xb5137c1bf18db1ea!2sKathmandu%2044600!5e0!3m2!1sen!2snp!4v1711428317268!5m2!1sen!2snp'}}"
            width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy"
            referrerpolicy="no-referrer-when-downgrade"></iframe>
    </div>

</div>
</div>


@endsection